浏览代码

Check for webpack failure

Bob Mottram 7 年前
父节点
当前提交
f4946f0b15
共有 1 个文件被更改,包括 9 次插入5 次删除
  1. 9
    5
      src/freedombone-app-peertube

+ 9
- 5
src/freedombone-app-peertube 查看文件

641
 #!/bin/bash
641
 #!/bin/bash
642
 cd $PEERTUBE_DIR
642
 cd $PEERTUBE_DIR
643
 npm install --arch=$NPM_ARCH -g yarn
643
 npm install --arch=$NPM_ARCH -g yarn
644
-if [ ! "$?" = "0" ]; then
644
+if [ ! "\$?" = "0" ]; then
645
     echo $'PeerTube Failed to install yarn'
645
     echo $'PeerTube Failed to install yarn'
646
     exit 79353234
646
     exit 79353234
647
 fi
647
 fi
648
-yarn add -D webpack --network-concurrency 1
648
+yarn add -D webpack
649
+if [ ! "\$?" = "0" ]; then
650
+    echo $'PeerTube failed to add webpack'
651
+    exit 67342823
652
+fi
649
 yarn install --ignore-optional
653
 yarn install --ignore-optional
650
-if [ ! "$?" = "0" ]; then
654
+if [ ! "\$?" = "0" ]; then
651
     echo $'PeerTube failed to run yarn install'
655
     echo $'PeerTube failed to run yarn install'
652
     exit 63754235
656
     exit 63754235
653
 fi
657
 fi
654
 npm install --arch=$NPM_ARCH --no-optional
658
 npm install --arch=$NPM_ARCH --no-optional
655
-if [ ! "$?" = "0" ]; then
659
+if [ ! "\$?" = "0" ]; then
656
     echo $'PeerTube failed to install peertube'
660
     echo $'PeerTube failed to install peertube'
657
     exit 7835243
661
     exit 7835243
658
 fi
662
 fi
659
 npm run build --arch=$NPM_ARCH --no-optional
663
 npm run build --arch=$NPM_ARCH --no-optional
660
-if [ ! "$?" = "0" ]; then
664
+if [ ! "\$?" = "0" ]; then
661
     echo $'PeerTube failed to build peertube'
665
     echo $'PeerTube failed to build peertube'
662
     exit 5293593
666
     exit 5293593
663
 fi
667
 fi